Subject: bug#33151: 'guix substitute' returns a 504 error without trying to use other servers

From: Clément Lassieur <[email-masked]>
Date: Sat, 10 Nov 2018 16:08:19 +0100

Ludovic Courtès <[email-masked]> writes:

> I think my first thought was that the problem (narinfo available but
> corresponding nar missing) was mostly due to our peculiar nginx setup on
> mirror.hydra.gnu.org: this cannot happen under normal circumstances
> because ‘guix publish’ really honors the expiry it sets on narinfos.
>
> That said, we could fix ‘process-substitution’ in (guix scripts
> substitute) to try other nar URLs (if any) upon failure.
>
> IMO such a fix is not “high-priority” for the reason I gave above, but
> OTOH it can be helpful to better cope with the sad reality of situations
> like the one we’re in.
>
> Thoughts?

I agree that fixing 'process-substitution' would be nice even though
it's not a high priority issue.

> Thanks for the heads-up, and sorry for hitting the “close” button too
> quickly!

No problem ;)  I also removed the "fixed" tag.

Clément